curl --request POST \
--url https://api.privy.io/v1/wallets/{wallet_id}/transfer/quote \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '{
"source": {
"asset": "usdc",
"amount": "10.0",
"chain": "base"
},
"destination": {
"address": "0xRecipientAddress",
"chain": "arbitrum"
},
"fee_configuration": {
"type": "total_fee_bps",
"value": 80
}
}'
{
"source": {
"asset": "usdc",
"amount": "10.0",
"chain": "base"
},
"destination": {
"address": "0xRecipientAddress",
"chain": "arbitrum"
},
"estimated_output_amount": "9.94",
"estimated_fees": [
{
"type": "relayer",
"amount": "0.02"
},
{
"type": "developer",
"recipient": "0x1234567890abcdef1234567890abcdef12345678",
"amount": "0.04"
}
],
"expires_at": 1715200000
}
Crypto
Quote transfer fees
Get a fee estimate and expected output amount before executing a transfer
POST
/
v1
/
wallets
/
{wallet_id}
/
transfer
/
quote
curl --request POST \
--url https://api.privy.io/v1/wallets/{wallet_id}/transfer/quote \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '{
"source": {
"asset": "usdc",
"amount": "10.0",
"chain": "base"
},
"destination": {
"address": "0xRecipientAddress",
"chain": "arbitrum"
},
"fee_configuration": {
"type": "total_fee_bps",
"value": 80
}
}'
{
"source": {
"asset": "usdc",
"amount": "10.0",
"chain": "base"
},
"destination": {
"address": "0xRecipientAddress",
"chain": "arbitrum"
},
"estimated_output_amount": "9.94",
"estimated_fees": [
{
"type": "relayer",
"amount": "0.02"
},
{
"type": "developer",
"recipient": "0x1234567890abcdef1234567890abcdef12345678",
"amount": "0.04"
}
],
"expires_at": 1715200000
}
curl --request POST \
--url https://api.privy.io/v1/wallets/{wallet_id}/transfer/quote \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '{
"source": {
"asset": "usdc",
"amount": "10.0",
"chain": "base"
},
"destination": {
"address": "0xRecipientAddress",
"chain": "arbitrum"
},
"fee_configuration": {
"type": "total_fee_bps",
"value": 80
}
}'
{
"source": {
"asset": "usdc",
"amount": "10.0",
"chain": "base"
},
"destination": {
"address": "0xRecipientAddress",
"chain": "arbitrum"
},
"estimated_output_amount": "9.94",
"estimated_fees": [
{
"type": "relayer",
"amount": "0.02"
},
{
"type": "developer",
"recipient": "0x1234567890abcdef1234567890abcdef12345678",
"amount": "0.04"
}
],
"expires_at": 1715200000
}
Authorizations
Headers
Body
application/json
Request body for requesting a quote for a cross-asset or cross-chain (DADC) transfer.
Source for a transfer identified by a named asset (e.g. "usdc", "eth"). Use this variant for first-class assets maintained by Privy.
- NamedTokenTransferSource
- CustomTokenTransferSource
Show child attributes
Show child attributes
Example:
{
"asset": "ousd",
"amount": "10.5",
"chain": "tempo"
}
Response
200 - application/json
Transfer quote retrieved successfully.
Response containing a quote for a cross-asset or cross-chain (DADC) transfer.
Source for a transfer identified by a named asset (e.g. "usdc", "eth"). Use this variant for first-class assets maintained by Privy.
- NamedTokenTransferSource
- CustomTokenTransferSource
Show child attributes
Show child attributes
Example:
{
"asset": "ousd",
"amount": "10.5",
"chain": "tempo"
}
Estimated fees in USD for the transfer. Only present for cross-chain transfers.
Estimated fee paid to the relayer.
- RelayerFee
- PrivyFee
- DeveloperFee
Show child attributes
Show child attributes
Example:
{
"type": "privy",
"recipient": "0x1234567890abcdef1234567890abcdef12345678",
"amount": "0.20"
}
Was this page helpful?

